> For the complete documentation index, see [llms.txt](https://docs.thewalletcrew.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thewalletcrew.io/api-reference/advanced/line-sign-in.md).

# Line Sign In

## Get sign in with LINE settings

> Returns the LINE Login channel configuration stored in \`server/line.yml\`.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"LineSignIn"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.connector.social:read"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"LineSignInDefinition":{"required":["clientId"],"type":"object","properties":{"clientId":{"type":"string","description":"LINE Login Channel ID."}},"additionalProperties":false,"description":"Sign in with LINE settings."},"ProblemDetails":{"type":"object","properties":{"type":{"type":["null","string"]},"title":{"type":["null","string"]},"status":{"type":["null","integer"],"format":"int32"},"detail":{"type":["null","string"]},"instance":{"type":["null","string"]}},"additionalProperties":{}},"HttpValidationProblemDetails":{"type":"object","allOf":[{"$ref":"#/components/schemas/ProblemDetails"}],"properties":{"errors":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}}},"additionalProperties":{}}}},"paths":{"/api/{tenantId}/admin/socialSignIn/line":{"get":{"tags":["LineSignIn"],"summary":"Get sign in with LINE settings","description":"Returns the LINE Login channel configuration stored in `server/line.yml`.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Settings returned.","content":{"text/plain":{"schema":{"description":"Sign in with LINE settings.","$ref":"#/components/schemas/LineSignInDefinition"}},"application/json":{"schema":{"description":"Sign in with LINE settings.","$ref":"#/components/schemas/LineSignInDefinition"}},"text/json":{"schema":{"description":"Sign in with LINE settings.","$ref":"#/components/schemas/LineSignInDefinition"}}}},"404":{"description":"Sign in with LINE is not configured.","content":{"text/plain":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}},"text/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"$ref":"#/components/schemas/HttpValidationProblemDetails"}]}}}}}}}}}
```

## Configure sign in with LINE

> Creates or replaces the LINE Login channel configuration.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"LineSignIn"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.connector.social:write"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}},"schemas":{"UpdateLineSignInRequest":{"required":["clientId"],"type":"object","properties":{"clientId":{"minLength":1,"type":"string","description":"LINE Login Channel ID."}},"additionalProperties":false,"description":"Request body to configure sign in with LINE."},"LineSignInDefinition":{"required":["clientId"],"type":"object","properties":{"clientId":{"type":"string","description":"LINE Login Channel ID."}},"additionalProperties":false,"description":"Sign in with LINE settings."}}},"paths":{"/api/{tenantId}/admin/socialSignIn/line":{"put":{"tags":["LineSignIn"],"summary":"Configure sign in with LINE","description":"Creates or replaces the LINE Login channel configuration.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"description":"Request body to configure sign in with LINE.","$ref":"#/components/schemas/UpdateLineSignInRequest"}},"text/json":{"schema":{"description":"Request body to configure sign in with LINE.","$ref":"#/components/schemas/UpdateLineSignInRequest"}},"application/*+json":{"schema":{"description":"Request body to configure sign in with LINE.","$ref":"#/components/schemas/UpdateLineSignInRequest"}}},"required":true},"responses":{"200":{"description":"Settings updated.","content":{"text/plain":{"schema":{"description":"Sign in with LINE settings.","$ref":"#/components/schemas/LineSignInDefinition"}},"application/json":{"schema":{"description":"Sign in with LINE settings.","$ref":"#/components/schemas/LineSignInDefinition"}},"text/json":{"schema":{"description":"Sign in with LINE settings.","$ref":"#/components/schemas/LineSignInDefinition"}}}}}}}}}
```

## Delete sign in with LINE settings

> Removes the LINE Login channel configuration stored in \`server/line.yml\`, disabling sign in with\
> LINE for the tenant. This bypasses the ClientId required-field validation enforced on \`PUT\`, since\
> a delete does not require a valid configuration.

```json
{"openapi":"3.1.1","info":{"title":"Neostore internal API","version":"v1"},"tags":[{"name":"LineSignIn"}],"servers":[{"url":"https://app.neostore.cloud","description":"Production Server"},{"url":"https://app-qa.neostore.cloud","description":"Staging Server"}],"security":[{"admin-bearer":["tenant.configuration.connector.social:write"]},{"apiKey":[]}],"components":{"securitySchemes":{"admin-bearer":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://auth.neostore.cloud/authorize?audience=https://app.neostore.cloud/api/","scopes":{}}}},"apiKey":{"type":"apiKey","name":"X-API-KEY","in":"header"}}},"paths":{"/api/{tenantId}/admin/socialSignIn/line":{"delete":{"tags":["LineSignIn"],"summary":"Delete sign in with LINE settings","description":"Removes the LINE Login channel configuration stored in `server/line.yml`, disabling sign in with\nLINE for the tenant. This bypasses the ClientId required-field validation enforced on `PUT`, since\na delete does not require a valid configuration.","parameters":[{"name":"tenantId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Configuration deleted."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thewalletcrew.io/api-reference/advanced/line-sign-in.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
